%define upstream_name    ExtUtils-Helpers
%define upstream_version 0.022

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Windows specific helper bits
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Load)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::ParseWords) >= 3.240.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides various portable helper functions for module building
modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.22.0-6.mga6
+ Revision: 1027180
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.22.0-5.mga6
+ Revision: 948894
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.22.0-4.mga5
+ Revision: 788546
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.22.0-3.mga5
+ Revision: 739650
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.22.0-2.mga5
+ Revision: 684680
- Mageia 5 Mass Rebuild

* Thu Mar 13 2014 jquelin <jquelin> 0.22.0-1.mga5
+ Revision: 602910
- update to 0.022

* Sat Oct 19 2013 umeabot <umeabot> 0.21.0-2.mga4
+ Revision: 526611
- Mageia 4 Mass Rebuild

* Thu Jun 06 2013 shlomif <shlomif> 0.21.0-1.mga4
+ Revision: 438340
- imported package perl-ExtUtils-Helpers


* Thu Jun 06 2013 cpan2dist 0.021-1mga
- initial mageia release, generated with cpan2dist
